annotatePlain {seqminer} | R Documentation

## Annotate a plain text file

### Description

Annotate a plain text file

### Usage

    annotatePlain(inFile, outFile, params)

### Arguments

`inFile` | input file name
`outFile` | output file name
`params` | parameters

### Value

0 if succeed

### Examples

    param <- list(reference = system.file("tabanno/test.fa", package = "seqminer"),
                  geneFile = system.file("tabanno/test.gene.txt", package = "seqminer"),
                  inputFormat = "plain")
    param <- makeAnnotationParameter(param)
    inFile <- system.file("tabanno/input.test.plain.txt", package = "seqminer")
    outFile <- paste0(getwd(), "/", "out.annotated.txt")
    annotatePlain(inFile, outFile, param)

[Package seqminer version 7.1 Index]